import 'dart:io';

import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:oktoast/oktoast.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';

import 'MainPage.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    // 强制竖屏
    WidgetsFlutterBinding.ensureInitialized();
    SystemChrome.setPreferredOrientations([
      DeviceOrientation.portraitUp,
      DeviceOrientation.portraitDown
    ]);

    OKToast toast = OKToast(
        dismissOtherOnShow: true,
        child: MaterialApp(
          debugShowCheckedModeBanner: false,
          title: 'BRTC Flutter Demo',
          theme: ThemeData(
            brightness: Brightness.dark,
          ),
          home: const MainPage(),
        ));
    return ScreenUtilInit(
      designSize: Platform.isIOS ? Size(750, 1096) : Size(720, 1280),
      minTextAdapt: true,
      splitScreenMode: true,
      builder: (context, child) => toast,
    );
  }
}
