import 'package:flutter/material.dart';

class PhotoTextView extends StatefulWidget {
  final String text;
  final String? imagePath;
  final Function? clickListener;

  const PhotoTextView(
      {Key? key, required this.text, this.imagePath, this.clickListener})
      : super(key: key);

  @override
  State<StatefulWidget> createState() =>
      PhotoTextViewState(super.key, text, imagePath!, clickListener!);
}

class PhotoTextViewState extends State<StatefulWidget> {
  String text;
  String imagePath;
  Function? listener;

  PhotoTextViewState(Key? key, this.text, this.imagePath, this.listener);

  @override
  void setState(VoidCallback fn) {
    // TODO: implement setState
    super.setState(fn);
  }

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      child: Column(
        children: [
          Container(
            width: 56,
            height: 56,
            child: Image.asset(imagePath),
          ),
          SizedBox(
            height: 10,
          ),
          Text(
            text.toString(),
            style: TextStyle(color: Colors.white, fontSize: 16),
          ),
        ],
      ),
      onTap: () {
        listener!();
      },
    );
  }
}
