import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import '../login/LoginPage.dart';

class ExampleData {
  static final Map<String, List<ExampleItem>> exampleList = {
    "功能列表": [
      ExampleItem(
        title: "1V1 视频通话",
        subTitle: "抗丢包 70%、保障视频通话",
        detailPage: LoginPage(type: ExampleItem.TYPE_SINGLE_VIDEO),
        logoPath: "assets/images/icon_bg_video_call2.png",
        color: Color(0xFF00BFBF),
      ),
      ExampleItem(
        title: "多人视频会议",
        subTitle: "抗丢包 70%、保障视频通话",
        detailPage: LoginPage(type: ExampleItem.TYPE_MULTI_VIDEO),
        logoPath: "assets/images/icon_bg_video_multi_call2.png",
        color: Color(0xFFFF9326),
      ),
    ],
  };
}

class ExampleItem {
  late String title;
  late String? subTitle;
  late Widget? detailPage;
  late String? logoPath;
  late Color? color;
  late bool? on;
  late String? currentValue;

  static const String TYPE_SINGLE_VIDEO = "1";
  static const String TYPE_SINGLE_AUDIO = "2";
  static const String TYPE_MULTI_VIDEO = "3";

  ExampleItem({
    required this.title,
    this.detailPage,
    this.subTitle,
    this.logoPath,
    this.color,
    this.on,
    this.currentValue,
  });
}
