import 'dart:async';

import 'package:flutter/material.dart';
import 'InfoChangeEvent.dart';
import 'ExampleData.dart';

class ExampleDataLayout extends StatefulWidget {
  final ExampleItem examplePageData;

  const ExampleDataLayout({Key? key, required this.examplePageData})
      : super(key: key);

  @override
  _ExampleDataLayoutState createState() => _ExampleDataLayoutState();
}

class _ExampleDataLayoutState extends State<ExampleDataLayout> {
  late StreamSubscription eventBusFunc;
  String pageTitle = "";

  @override
  void initState() {
    super.initState();
    setState(() {
      pageTitle = this.widget.examplePageData.title;
    });
    eventBusFunc = eventBus.on<TitleChangeEvent>().listen((event) {
      setState(() {
        pageTitle = event.curPageTitle;
      });
    });
  }

  @override
  void dispose() {
    eventBusFunc.cancel();
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return WillPopScope(
      child: Scaffold(
        resizeToAvoidBottomInset: false,
        appBar: AppBar(
          title: Text(pageTitle),
          backgroundColor: Colors.blueAccent,
        ),
        backgroundColor: Colors.white,
        body: this.widget.examplePageData.detailPage != null
            ? this.widget.examplePageData.detailPage!
            : Center(
                child: Text('not found'),
              ),
      ),
      onWillPop: () => onBackPressed(),
    );
  }

  Future<bool> onBackPressed() {
    Navigator.pop(context);
    return Future.value(false);
  }
}
